Add swagger spec for content-html
Closed, ResolvedPublic

Description

Let's add the Swagger spec for content-html. Probably no need for the other HTML endpoint (read-compat-html) at this time since it won't get exposed any time soon.

bearND created this task.Sep 1 2017, 5:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2017, 5:06 PM
Jhernandez triaged this task as High priority.Jul 3 2018, 5:13 PM
Jhernandez added a subscriber: Jhernandez.

Hey @bearND is this ready to be worked on? or done?

I'm marking it as high as I understand this is something we want to do soon

bearND renamed this task from Add swagger spec for read-html and read-base-html to Add swagger spec for content-html.EditedJul 3 2018, 5:20 PM
bearND updated the task description. (Show Details)

Yes, This is ready to be worked on. I think this should be fairly simple and independent of the the actual content-html work since the output is HTML.

Great! Thanks.

bearND claimed this task.

Change 445060 had a related patch set uploaded (by BearND; owner: BearND):
[mediawiki/services/mobileapps@master] content-html: add swagger spec

https://gerrit.wikimedia.org/r/445060

Change 445060 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] content-html: add swagger spec

https://gerrit.wikimedia.org/r/445060

Mentioned in SAL (#wikimedia-operations) [2018-07-16T20:02:33Z] <bsitzmann@deploy1001> Started deploy [mobileapps/deploy@fcae441]: Update mobileapps to bed7b29 (T174809)

Mentioned in SAL (#wikimedia-operations) [2018-07-16T20:11:34Z] <bsitzmann@deploy1001> Finished deploy [mobileapps/deploy@fcae441]: Update mobileapps to bed7b29 (T174809) (duration: 09m 01s)

Jhernandez closed this task as Resolved.Jul 20 2018, 10:53 AM